Subject: Re: bug#59513: [PATCH] doc: contributing: Tweak the Commit Policy.

From: Christopher Baines <[email-masked]>
Date: Mon, 12 Dec 2022 10:33:46 +0000

Ludovic Courtès <[email-masked]> writes:

>>  @subsection Commit Policy
>>
>> -If you get commit access, please make sure to follow
>> -the policy below (discussions of the policy can take place on
>> +If you get commit access, please make sure to follow the policy below
>> +(discussions of the policy can take place on
>>  @email{guix-devel@@gnu.org}).
>>
>> -Non-trivial patches should always be posted to
>> -@email{guix-patches@@gnu.org} (trivial patches include fixing typos,
>> -etc.).  This mailing list fills the patch-tracking database
>> -(@pxref{Tracking Bugs and Patches}).
>> +For a minority of changes, it can be appropriate to push them directly
>> +without sending them for review.  This includes both trivial changes
>> +(e.g. fixing typos) but also reverting problomatic changes and
>> +addressing regressions.
>>
>> -For patches that just add a new package, and a simple one, it's OK to
>
> Similar to zimoun’s first comment I think, I would like the beginning of
> the sentence to clearly tell you whether it’s the situation you’re
> interested in.  “For a minority of changes” doesn’t fit the bill in my
> view.
>
> So I would suggest something along the lines of:
>
>   Changes should be posted to @email{guix-patches@@gnu.org}.  This
>   mailing list […].  It also allows patches to be picked up and tested
>   by the quality assurance robot; the result of that testing eventually

I've gone for "tooling" rather than "robot" as I'm not sure we want to
go the way of personifying it. I'm not against that, but the place to
start is probably not here.

>   shows up on the dashboard at
>   @indicateurl{https://qa.guix.gnu.org/issue/@var{number}}, where
>   @var{number} is the number assigned by the issue tracker.  Leave time
>   […] it’s OK to commit.
>
>   As an exception, some changes considered consensual and ``trivial'' or

I removed "consensual" here as I wasn't sure what was meant by that, or
at least I'm not sure the phrasing fits the context here.

Are you trying to say something about a belief that no one will object
to the change being made?

>   ``obvious'' may instead be pushed directly.  These include: fixing
>   typos, and reverting commits that caused immediate problems.
>
> That way we state the general rule first, and the exception next.  That
> also explicitly mentions how that relates to qa.guix.

Yeah, I think that's better. I've sent a v2 patch now (for some reason I
forgot to send this email until now).

Thanks,

Chris